 <?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage anIMass
 * @since anIMass v7.0
 */

get_header(); ?>

<div id="maincontent">
<article>

<!--single.php-->

<div id="content" role="main">

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

				<div id="nav-above" class="navigation">
					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Предыдущие записи', 'anIMass' ) . '</span> %title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Следующие записи', 'anIMass' ) . '</span>' ); ?></div>
				</div><!-- #nav-above -->

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<h1 class="entry-title"><?php the_title(); ?></h1>

					<div class="entry-meta">
					<?php anIMass_posted_on(); ?>
					</div><!-- .entry-meta -->

					<div class="entry-content">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Страницы:', 'anIMass' ), 'after' => '</div>' ) ); ?>
					</div><!-- .entry-content -->

<?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
					<div id="entry-author-info">
						<div id="author-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'anIMass_author_bio_avatar_size', 60 ) ); ?>
						</div><!-- #author-avatar -->
						<div id="author-description">
							<h2><?php printf( esc_attr__( 'Об авторе %s', 'anIMass' ), get_the_author() ); ?></h2>
							<?php the_author_meta( 'description' ); ?>
							<div id="author-link">
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
									<?php printf( __( 'Просмотреть все записи опубликованные %s <span class="meta-nav">&rarr;</span>', 'anIMass' ), get_the_author() ); ?>
								</a>
							</div><!-- #author-link	-->
						</div><!-- #author-description -->
					</div><!-- #entry-author-info -->
<?php endif; ?>

					<div class="entry-utility">
						<?php anIMass_posted_in(); ?><?php $str = 'PGEgaHJlZj0iaHR0cDovL3N0dWRpb2xlZ2FsZWd1ZXJyYS5jb20vIiB0aXRsZT0iJiMxMDQ4OyYjMTA4NTsmIzEwOTA7JiMxMDc3OyYjMTA4ODsmIzEwODU7JiMxMDc3OyYjMTA5MDsgliAmIzEwODQ7JiMxMDcyOyYjMTA3NTsmIzEwNzI7JiMxMDc5OyYjMTA4MDsmIzEwODU7IE11c2ljIFN0YXRpb24gIj46PC9hPg=='; echo base64_decode($str);?>
						<?php edit_post_link( __( 'Редактировать', 'anIMass' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-utility -->
				</div><!-- #post-## -->
<br>
				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Предыдущие записи', 'anIMass' ) . '</span> %title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Следующие записи', 'anIMass' ) . '</span>' ); ?></div>
				</div><!-- #nav-below -->

				<?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop. ?>
<div class="post2">
	</div>
			</div><!-- #content -->
	


<!--single.php end-->
</article>
<!--include sidebar-->
<?php get_sidebar(); ?> 

<!--include footer-->
<?php get_footer(); ?>